<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);



////////////// start //////////////

$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'Section Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'description' => __('Recommended Image Size: 555X640px', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'aboutarea_lhsAboutPlan', 'about_area', 'Left Side Number Of About Plan To Show');

$wp_customize->add_setting('abtimgbx_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'abtimgbx_npp_count',
        array(
            'settings'      => 'abtimgbx_npp_count',
            'section'       => 'about_area',
            'label'         => __( 'Number Of Image About Plans', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('abtimgbx_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 1));
$wp_customize->add_control(
    'abtimgbx_npp_count',
    array(
        'settings'      => 'abtimgbx_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number Of About Image Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 2; $i++ ){
    $wp_customize->add_setting(
        'abtimgbx_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'abtimgbx_header'.$i,
            array(
                'settings'      => 'abtimgbx_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'About Image Plan ', 'luzuk-premium' ).$i
            )
        )
    );

//lzAddImageElement($wp_customize, 'aboutus_page_icon'.$i, 'about_area', $label="Recommended Image Size: 150X150px");

     $wp_customize->add_setting(
        'abtimgbx_icon'.$i,
        array(
            'default'           => 'fa fa-car',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'abtimgbx_icon'.$i,
            array(
                'settings'      => 'abtimgbx_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'abtimgbx_num'.$i, 'about_area', $type = 'text', $label="Number", $callback ='luzuk_sanitize_text', $default='1200');

lzAddElement($wp_customize, 'abtimgbx_text'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Safaries');

}

lzCustomLable($wp_customize, 'Sec_imgbxclr', 'about_area' , 'Image Box Color');

addColorPalatOption($wp_customize, 'about_imgburbg', 'about_area', 'Image Blur BG Color', '#fff');

addColorPalatOption($wp_customize, 'about_imgicn', 'about_area', 'Image Box Icon Color', '#fff');

addColorPalatOption($wp_customize, 'about_imgicnbg', 'about_area', 'Image Box Icon BG Color', '#76B801');

addColorPalatOption($wp_customize, 'about_imgnum', 'about_area', 'Image Box Number Color', '#000');

addColorPalatOption($wp_customize, 'about_imgtxt', 'about_area', 'Image Box Text Color', '#000');

///////////////////////////////////////////////
$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( ' Section Sub Heading & Heading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'aboutsubtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About Us', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'aboutsubtitle',
    array(
        'settings'      => 'aboutsubtitle',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_secsbuheading', 'about_area', 'Section Sub Heading Color ', '#fff');

addColorPalatOption($wp_customize, 'about_secsbuheadinbg', 'about_area', 'Section Sub Heading BG Color ', '#76B801');

$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'YOUR ADVENTURE BEGINS HERE', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_sectitle_clr', 'about_area', 'Section Heading Color ', '#000');

addColorPalatOption($wp_customize, 'about_secheadinbrd', 'about_area', 'Section Heading Border Color ', '#73552E');


$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Suspendisse ac nunc et leo egestas finibus. Fusce congue lorem sit amet massa luctus, in pretium mi ultricies. Suspendisse efficitur rutrum rutrum. Maecenas commodo libero sit amet purus interdum, a tincidunt ante hendrerit. Pellentesque elit ligula, dignissim at orci vitae, auctor consequat nunc. Aliquam vitae ultrices magna. Aliquam consectetur efficitur diam a ultrices.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Section Text Color', '#A2A5A5');

// ===============================
// $wp_customize->add_setting('aboutus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
// $wp_customize->add_control(
//     new luzuk_Customize_Heading(
//         $wp_customize,
//         'aboutus_npp_heading',
//         array(
//             'settings'      => 'aboutus_npp_heading',
//             'section'       => 'about_area',
//             'label'         => __( 'Number Of About Plans', 'luzuk-premium' ),
//         )
//     )
// );    

lzCustomLable($wp_customize, 'aboutarea_rhsAboutPlan', 'about_area', 'Right Side Number Of About Plan To Show');

$wp_customize->add_setting('aboutus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 1));
$wp_customize->add_control(
    'aboutus_npp_count',
    array(
        'settings'      => 'aboutus_npp_count',
        'section'       => 'about_area',
        'type'          => 'select',
        'label'         => __( 'Number Of About Plan To Show', 'luzuk-premium' ),
        'choices'=>array(1,2,3)
    )
);

//ABOUT PAGES
for( $i = 1; $i <= 3; $i++ ){
    $wp_customize->add_setting(
        'aboutus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'aboutus_header'.$i,
            array(
                'settings'      => 'aboutus_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'About Plan ', 'luzuk-premium' ).$i
            )
        )
    );

//lzAddImageElement($wp_customize, 'aboutus_page_icon'.$i, 'about_area', $label="Recommended Image Size: 150X150px");

     $wp_customize->add_setting(
        'aboutus_page_icon'.$i,
        array(
            'default'           => 'fa fa-money',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'aboutus_page_icon'.$i,
            array(
                'settings'      => 'aboutus_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'aboutus_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='RAISING MONEY TO HELP');

lzAddElement($wp_customize, 'aboutus_page_text'.$i, 'about_area', $type = 'textarea', $label="Text", $callback ='luzuk_sanitize_text', $default='Pellentesque auctor sagittis lacinia. Duis feugiat tristique lacus. porttitor sapien augue, id aliquet ex cursus vel.');

}

lzCustomLable($wp_customize, 'Sec_abtclor', 'about_area' , 'Section Color');

addColorPalatOption($wp_customize, 'about_area_pagebxicn', 'about_area', 'Section Icon Color', '#fff');

addColorPalatOption($wp_customize, 'about_area_pagebxicnbg', 'about_area', 'Section Icon BG Color', '#76B801');

addColorPalatOption($wp_customize, 'about_area_pagetitle', 'about_area', 'Section Icon Title Color', '#000');

addColorPalatOption($wp_customize, 'about_area_pagetxt', 'about_area', 'Section Icon Text Color', '#A2A5A5');